Subject: Re: [PATCH 10/14] ps3: get firmware version

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 27 Jan 2007 07:25:38 +1100

> Anyway, that is the need, the question is where to make it available.  I thought
> /proc/cpuinfo already has the platform type (coming from the generic powerpc
> code), so it would be convenient for utilities to have the firmware version
> there too.  I don't think parsing the dmsg is an option for minimal
> configs like bootloaders and distro installers, as they may not keep the boot
> messages around, and in general doesn't seem a reliable way.  If you can make
> a suggestion, I'd like to hear it.

Yeah, /proc/cpuinfo is actually a fairly convenient place for that...

Ben.